[ooo-build-commit] .: bin/g

Cédric Bosdonnat cbosdo at kemper.freedesktop.org
Mon Sep 13 07:55:27 PDT 2010


 bin/g |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

New commits:
commit 4ae97df81ebf697b317aca57ade8ec062718996b
Author: Cédric Bosdonnat <cedricbosdo at openoffice.org>
Date:   Mon Sep 13 16:54:41 2010 +0200

    Fixed bin/g: wasn't finding any commit in some case

diff --git a/bin/g b/bin/g
index 60b1e4d..e94342f 100755
--- a/bin/g
+++ b/bin/g
@@ -127,11 +127,11 @@ for DIR in * ; do
                     ;;
                 push)
                     if [ "$PUSH_ALL" != "1" ] ; then
-                        [ -n "`git rev-list HEAD@{upstream}..`" ] || exit 0
+                        [ -n "`git rev-list origin..HEAD`" ] || exit 0
                     fi
                     ;;
                 status)
-                    LOCALCOMMITS="`git rev-list HEAD@{upstream}..`"
+                    LOCALCOMMITS="`git rev-list origin..HEAD`"
                     if [ -z "$LOCALCOMMITS" ] ; then
                         [ -z "`git diff-index --name-only HEAD --`" ] && exit 0
                     fi


More information about the ooo-build-commit mailing list